# interro_robot

审讯机器人


## 部署说明

#### web端docker构建
> 把docker文件夹放到服务器目录下，进入目录
```shell
- 进入web目录
# 执行构建命令
docker build -t interro_web:1.0.0 .

# 把web/interro_robot-0.0.1-SNAPSHOT文件复制到/data/intro-robot/目录下
# 启动容器
docker run --name interro-robot-web -p 9800:9800  -v /data/intro-robot/:/data/intro-robot/  -d interro-robot-web:1.0.0 --spring.profiles.active=dev

```

### nginx docker构建

```shell
# 进入nginx目录
# 构建nginx镜像
docker build -t interro_nginx:1.0.0 .
# 把nginx/dist文件复制到/data/intro-robot/目录下
# 启动nginx容器
docker run --name interro-robot-nginx -p 543:443 -v /data/intro-robot/dist:/usr/share/nginx/html/dist -d -e UPSTREAM_WEB_SERVERS=192.168.10.137:9800 interro-robot-nginx:1.0.0
```