package com.supervision.dto.matchTool;

import cn.hutool.core.util.StrUtil;
import lombok.Data;

@Data
public class ExtractInformationDTO {

    /**
     * 姓名
     */
    private String name;
    /**
     * 卡号
     */
    private String cardNumber;

    /**
     * 身份证号码
     */
    private String idNumber;

    /**
     * 所有的属性都为空
     * @return
     */
    public boolean allEmpty() {
        return StrUtil.isAllEmpty(name, cardNumber, idNumber);
    }

}
