package com.supervision.dto.paddlespeech.req;

import lombok.Data;

@Data
public class TtsReqDTO {

    private final String text;

    private final Integer spk_id = 0;

    private final Double speed = 1.0;

    private final Double volume = 1.0;

    private final Integer sample_rate = 16000;

    private final String save_path = "./tts.wav";

    public TtsReqDTO(String text) {
        this.text = text;
    }
}
