package com.supervision.mapper;

import com.supervision.dto.robot.ByteWrapper;
import com.supervision.dto.robot.SuspectInfo;
import com.supervision.vo.session.CreateAjResVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RobotDataMapper {

    List<CreateAjResVO> queryAjByAjidOrAjmc(@Param("ajid") Integer ajid, @Param("ajmc") String ajmc);



    List<SuspectInfo> querySuspect(@Param("ajid") Integer ajid, @Param("idNumber") String idNumber,
                             @Param("name") String name,@Param("cardNumber") String cardNumber);


    /**
     * 资金流动图
     * @return
     */
    ByteWrapper capitalFlowImage(String guid);


}
