package com.supervision.vo.session;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class FinishSessionVO {

    @ApiModelProperty("会话ID")
    private String sessionId;

    @ApiModelProperty("会话评分(1满意 2不满意,3未评估)")
    private Integer sessionScore;

    /**
     * 原因 1信息错误 2答非所问 3其他
     */
    @ApiModelProperty("原因 1信息错误 2答非所问 3其他")
    private Integer reasonType;

    @ApiModelProperty("选中的问题id")
    private List<String> answerHistoryIdList;


}
